does it work with osx 10.4.11

Apple Magic Mouse

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    no you need to upgrade you mac os to intergrade with magic mouse at least with mac snow leopard

    Was this useful? Answer 1

    8 of 8 people found this useful

  • No. 1.5.xx is the earliest supported.

    Was this useful? Answer 2

    2 of 4 people found this useful

Related Questions